<template>
    <div class="full-screen">
        <div id="map" ref="rootmap"></div>
        <pipe-line-list></pipe-line-list>
    </div>
</template>

<script>
import 'leaflet/dist/leaflet.css'
import Sgis from '@src/Sgis'
import PipeLineList from './PipeLineList'

export default {
  name: 'PipeLineIndex',
  components: { PipeLineList },
  mounted () {
    this.$nextTick(() => {
      this.init()
    })
  },
  methods: {
    init () {
      const mapcontainer = this.$refs.rootmap
      Sgis.initMap(mapcontainer)
      return this.map
    }
  }
}
</script>

<style lang="less">
    .full-screen {
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;

        #map {
            height: 100%;
            width: 100%;
        }
    }
</style>>
